RMControllerLibrary (Resource Manager CL 1.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.resourcemanager.client

## Class RMControllerLibrary

- java.lang.Object
- - org.gcube.vremanagement.resourcemanager.client.RMControllerLibrary

- All Implemented Interfaces:
    RMControllerInterface

      public class RMControllerLibrary
      extends Object
      implements RMControllerInterface

  Author:
    Andrea Manzi(CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMControllerLibrary(org.gcube.common.clients.delegates.ProxyDelegate<RMControllerServiceJAXWSStubs> delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.common.clients.stubs.jaxws.JAXWSUtils.Empty` | `changeScopeOptions(Types.OptionsParameters options)`
    `org.gcube.common.clients.stubs.jaxws.JAXWSUtils.Empty` | `createScope(Types.CreateScopeParameters params)`
    `String` | `disposeScope(String scope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RMControllerLibrary

          public RMControllerLibrary(org.gcube.common.clients.delegates.ProxyDelegate<RMControllerServiceJAXWSStubs> delegate)

  - ### Method Detail

    - #### changeScopeOptions

          public org.gcube.common.clients.stubs.jaxws.JAXWSUtils.Empty changeScopeOptions(Types.OptionsParameters options)
                                                                                   throws InvalidScopeException,
                                                                                          InvalidOptionsException

      Specified by:
        `changeScopeOptions` in interface `RMControllerInterface`
      Throws:
        `InvalidScopeException`
        `InvalidOptionsException`

    - #### disposeScope

          public String disposeScope(String scope)
                              throws InvalidScopeException

      Specified by:
        `disposeScope` in interface `RMControllerInterface`
      Throws:
        `InvalidScopeException`

    - #### createScope

          public org.gcube.common.clients.stubs.jaxws.JAXWSUtils.Empty createScope(Types.CreateScopeParameters params)
                                                                            throws InvalidScopeException,
                                                                                   InvalidOptionsException

      Specified by:
        `createScope` in interface `RMControllerInterface`
      Throws:
        `InvalidScopeException`
        `InvalidOptionsException`

Copyright © 2015. All Rights Reserved.